---
title: Touch
slug: Web/API/Touch
tags:
  - API
  - DOM
  - Interface
  - Reference
  - TouchEvent
  - touch
---
<p>{{APIRef("Touch Events")}}</p>

<p>The <strong><code>Touch</code></strong> interface represents a single contact point on a touch-sensitive device. The contact point is commonly a finger or stylus and the device may be a touchscreen or trackpad.</p>

<p>The {{ domxref("Touch.radiusX") }}, {{ domxref("Touch.radiusY") }}, and {{ domxref("Touch.rotationAngle") }} describe the area of contact between the user and the screen, the <em>touch area</em>. This can be helpful when dealing with imprecise pointing devices such as fingers. These values are set to describe an ellipse that as closely as possible matches the entire area of contact (such as the user's fingertip). {{experimental_inline}}</p>

<div class="note">
<p><strong>Note:</strong> Many of the properties' values are hardware-dependent; for example, if the device doesn't have a way to detect the amount of pressure placed on the surface, the <code>force</code> value will always be 0. This may also be the case for <code>radiusX</code> and <code>radiusY</code>; if the hardware reports only a single point, these values will be 1.</p>
</div>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("Touch.Touch", "Touch()")}} {{experimental_inline}}</dt>
 <dd>Creates a Touch object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>This interface has no parent, and doesn't inherits or implements any other property.</em></p>

<h3 id="Basic_properties">Basic properties</h3>

<dl>
 <dt>{{domxref("Touch.identifier")}} {{readonlyInline}}</dt>
 <dd>Returns a unique identifier for this <code>Touch</code> object. A given touch point (say, by a finger) will have the same identifier for the duration of its movement around the surface. This lets you ensure that you're tracking the same touch all the time.</dd>
 <dt>{{domxref("Touch.screenX")}} {{readonlyInline}}</dt>
 <dd>Returns the X coordinate of the touch point relative to the left edge of the screen.</dd>
 <dt>{{domxref("Touch.screenY")}} {{readonlyInline}}</dt>
 <dd>Returns the Y coordinate of the touch point relative to the top edge of the screen.</dd>
 <dt>{{domxref("Touch.clientX")}} {{readonlyInline}}</dt>
 <dd>Returns the X coordinate of the touch point relative to the left edge of the browser viewport, not including any scroll offset.</dd>
 <dt>{{domxref("Touch.clientY")}} {{readonlyInline}}</dt>
 <dd>Returns the Y coordinate of the touch point relative to the top edge of the browser viewport, not including any scroll offset.</dd>
 <dt>{{domxref("Touch.pageX")}} {{readonlyInline}}</dt>
 <dd>Returns the X coordinate of the touch point relative to the left edge of the document. Unlike <code>clientX</code>, this value includes the horizontal scroll offset, if any.</dd>
 <dt>{{domxref("Touch.pageY")}} {{readonlyInline}}</dt>
 <dd>Returns the Y coordinate of the touch point relative to the top of the document. Unlike <code>clientY,</code> this value includes the vertical scroll offset, if any.</dd>
 <dt>{{domxref("Touch.target")}} {{readonlyInline}}</dt>
 <dd>Returns the {{ domxref("Element")}} on which the touch point started when it was first placed on the surface, even if the touch point has since moved outside the interactive area of that element or even been removed from the document.</dd>
</dl>

<h3 id="Touch_area">Touch area</h3>

<p>{{SeeCompatTable}}</p>

<dl>
 <dt>{{domxref("Touch.radiusX")}} {{readonlyInline}} {{experimental_inline}}</dt>
 <dd>Returns the X radius of the ellipse that most closely circumscribes the area of contact with the screen. The value is in pixels of the same scale as <code>screenX</code>.</dd>
 <dt>{{domxref("Touch.radiusY")}} {{readonlyInline}} {{experimental_inline}}</dt>
 <dd>Returns the Y radius of the ellipse that most closely circumscribes the area of contact with the screen. The value is in pixels of the same scale as <code>screenY</code>.</dd>
 <dt>{{domxref("Touch.rotationAngle")}} {{readonlyInline}} {{experimental_inline}}</dt>
 <dd>Returns the angle (in degrees) that the ellipse described by radiusX and radiusY must be rotated, clockwise, to most accurately cover the area of contact between the user and the surface.</dd>
 <dt>{{domxref("Touch.force")}}{{readonlyInline}} {{experimental_inline}}</dt>
 <dd>Returns the amount of pressure being applied to the surface by the user, as a <code>float</code> between <code>0.0</code> (no pressure) and <code>1.0</code> (maximum pressure).</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface has no method and no parent, and doesn't inherits or implements any method.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Touch Events 2', '#touch-interface', 'Touch')}}</td>
   <td>{{Spec2('Touch Events 2')}}</td>
   <td>Added <code>radiusX</code>, <code>radiusY</code>, <code>rotationAngle</code>, <code>force</code> properties, as well as the <code>Touch()</code> constructor.</td>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events', '#touch-interface', 'Touch')}}</td>
   <td>{{Spec2('Touch Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Touch")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Touch_events">Touch events</a></li>
 <li>{{ domxref("Document.createTouch()") }}</li>
</ul>
